package hashproduct.popmatch;

import java.util.*;

public class FactorComparator implements Comparator<Matching> {
	private FactorComparator() {}
	public static final FactorComparator it = new FactorComparator();
	
	@Override public int compare(Matching m1, Matching m2) {
		PressureAnalysis ma1 = Pressurizer.pressurize(m1);
		PressureAnalysis ma2 = Pressurizer.pressurize(m2);
		return ma1.unpopularity - ma2.unpopularity;
	}
}
