package hashproduct.popmatch;

public interface Pressurization {
	Instance instance();
	
	int highestPressure();
	
	/* You get a nonnegative pressure no greater than highestPressure
	 * that bounds the number of people who can improve in a chain that
	 * brings one person into this post after knocking the previous
	 * occupant if any.  Last resorts allowed; their pressure is 0. */
	int pressureFor(int post);
}
