package hashproduct.popmatch.threesat;

public interface Instance {
	public int numVariables();
	public int numStatements();
	
	// 1: x.  ~1: ~x.
	public int referenceAt(int statement, int pos);

	/* Remember to override these.  Use the implementations in Statics. */
	public boolean equals(Object o);
	public int hashCode();
	public String toString();
}
