package hashproduct.popmatch;

public class CompositeMarginSolver extends AbstractSolver {
	private CompositeMarginSolver() {
		super("Composite margin solver");
	}
	public static final CompositeMarginSolver it = new CompositeMarginSolver();
	
	@Override public Matching solve(Instance i) {
		Matching m1 = ClassMaximalMatcher.it.solve(i);
		return IterativeSolverHelper.iterateMonotonic(MonotonicMarginVotingSolver.it, MarginComparator.it, m1);
	}
}
