package hashproduct.popmatch;

import static hashproduct.popmatch.Statics.format;

public class MarginAnalysis {
	
	/* The analyzed matching */
	public Matching m;
	
	/* The unpopularity margin of the matching. */
	public int unpopularity;
	
	/* An "improved" matching that gives the unpopularity margin */
	public Matching better;
	
	MarginAnalysis(Matching m, int unpopularity, Matching better) {
		this.m = m;
		this.unpopularity = unpopularity;
		this.better = better;
	}
	
	@Override public String toString() {
		StringBuilder sb = new StringBuilder();
		sb.append("Unpopularity margin: ");
		sb.append(unpopularity);
		sb.append('\n');
		format(m.instance(), m, better, null, sb);
		return sb.toString();
	}
}
