package hashproduct.popmatch;

import java.util.*;

public class MarginComparator implements Comparator<Matching> {
	private MarginComparator() {}
	public static final MarginComparator it = new MarginComparator();
	
	@Override public int compare(Matching m1, Matching m2) {
		MarginAnalysis ma1 = Marginizer.marginize(m1);
		MarginAnalysis ma2 = Marginizer.marginize(m2);
		return ma1.unpopularity - ma2.unpopularity;
	}
}
