package hashproduct.popmatch;

public class Solvers {
	private Solvers() {}
	
	// Don't mutate these arrays!
	
	public static final Solver[] factorSolvers = {
		PressureBumpingSolver.it,
		PressureReducingSolver.it,
		ClassMaximalMatcher.it,
		MonotonicPressureBumpingSolver.it,
	};
	
	public static final Solver[] marginSolvers = {
		MarginVotingSolver.it,
		MonotonicMarginVotingSolver.it,
	};
}
